Get runs for a provided Benchmark.
curl --request GET \
--url https://api.runloop.ai/v1/benchmarks/{id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runloop.ai/v1/benchmarks/{id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runloop.ai/v1/benchmarks/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "<string>",
"start_time_ms": 123,
"state": "running",
"metadata": {},
"benchmark_id": "<string>",
"name": "<string>",
"duration_ms": 123,
"score": 123,
"purpose": "<string>",
"environment_variables": {},
"secrets_provided": {}
}
],
"has_more": true,
"total_count": 123
}Benchmark
Get runs for a provided Benchmark.
Get runs for a previously created Benchmark.
GET
/
v1
/
benchmarks
/
{id}
/
runs
Get runs for a provided Benchmark.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Benchmark ID.
Query Parameters
The limit of items to return. Default is 20. Max is 5000.
Load the next page of data starting after the item with the given ID.
If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.
Was this page helpful?
